Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 589278 (CVE-2016-1705, CVE-2016-1706, CVE-2016-1707, CVE-2016-1708, CVE-2016-1709, CVE-2016-1710, CVE-2016-1711, CVE-2016-5127, CVE-2016-5128, CVE-2016-5129, CVE-2016-5130, CVE-2016-5131, CVE-2016-5132, CVE-2016-5133, CVE-2016-5134, CVE-2016-5135, CVE-2016-5136, CVE-2016-5137) - <www-client/chromium-52.0.2743.82 - multiple vulnerabilities
Summary: <www-client/chromium-52.0.2743.82 - multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2016-1705, CVE-2016-1706, CVE-2016-1707, CVE-2016-1708, CVE-2016-1709, CVE-2016-1710, CVE-2016-1711, CVE-2016-5127, CVE-2016-5128, CVE-2016-5129, CVE-2016-5130, CVE-2016-5131, CVE-2016-5132, CVE-2016-5133, CVE-2016-5134, CVE-2016-5135, CVE-2016-5136, CVE-2016-5137
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-20 21:20 UTC by Mike Gilbert
Modified: 2016-11-19 09:34 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2016-07-20 21:20:45 UTC
This update includes 48 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information. 
[$15000][610600] High CVE-2016-1706: Sandbox escape in PPAPI. Credit to Pinkie Pie
[$3000][622183] High CVE-2016-1707: URL spoofing on iOS. Credit to xisigr of Tencent's Xuanwu Lab
[$TBD][613949] High CVE-2016-1708: Use-after-free in Extensions. Credit to Adam Varsan
[$TBD][614934] High CVE-2016-1709: Heap-buffer-overflow in sfntly. Credit to ChenQin of Topsec Security Team
[$TBD][616907] High CVE-2016-1710: Same-origin bypass in Blink. Credit to Mariusz Mlynski
[$TBD][617495] High CVE-2016-1711: Same-origin bypass in Blink. Credit to Mariusz Mlynski
[$TBD][618237] High CVE-2016-5127: Use-after-free in Blink. Credit to cloudfuzzer
[$TBD][619166] High CVE-2016-5128: Same-origin bypass in V8. Credit to Anonymous
[$TBD][620553] High CVE-2016-5129: Memory corruption in V8. Credit to Jeonghoon Shin
[$TBD][623319] High CVE-2016-5130: URL spoofing. Credit to Wadih Matar
[$TBD][623378] High CVE-2016-5131: Use-after-free in libxml. Credit to Nick Wellnhofer
[$1000][607543] Medium CVE-2016-5132: Limited same-origin bypass in Service Workers. Credit to Ben Kelly
[$1000][613626] Medium CVE-2016-5133: Origin confusion in proxy authentication. Credit to Patch Eudor
[$500][593759] Medium CVE-2016-5134: URL leakage via PAC script. Credit to Paul Stone
[$500][605451] Medium CVE-2016-5135: Content-Security-Policy bypass. Credit to kingxwy
[$TBD][625393] Medium CVE-2016-5136: Use after free in extensions. Credit to Rob Wu
[$TBD][625945] Medium CVE-2016-5137: History sniffing with HSTS and CSP. Credit to Xiaoyin Liu
 We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel. 
 As usual, our ongoing internal security work was responsible for a wide range of fixes:
[629852] CVE-2016-1705: Various fixes from internal audits, fuzzing and other initiatives.
Many of our security bugs are detected using AddressSanitizer, MemorySanitizer, Control Flow Integrity or LibFuzzer.
Comment 1 Mike Gilbert gentoo-dev 2016-07-21 00:35:55 UTC
Please stabilize www-client/chromium-52.0.2743.82.
Comment 2 Agostino Sarubbo gentoo-dev 2016-07-21 13:42:34 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2016-07-21 13:43:15 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 4 Mike Gilbert gentoo-dev 2016-07-21 15:14:19 UTC
Cleanup done.
Comment 5 Haelwenn Monnier 2016-08-03 04:26:07 UTC
There is also CVE-2016-5138: Integer overflow in the kbasep_vinstr_attach_client function in midgard/mali_kbase_vinstr.c in Google Chrome before 52.0.2743.85 allows remote attackers to cause a denial of service (heap-based buffer overflow and use-after-free) by leveraging an unrestricted multiplication.
Comment 6 Mike Gilbert gentoo-dev 2016-08-03 21:07:07 UTC
(In reply to Haelwenn Monnier from comment #5)

CVE-2016-5138 applies to Google Chrome as deployed on Chrome OS. There was no corresponding release for desktop Linux.
Comment 7 Yury German Gentoo Infrastructure gentoo-dev Security 2016-09-10 04:43:37 UTC
Added to an existing GLSA Request.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2016-10-29 13:16:06 UTC
This issue was resolved and addressed in
 GLSA 201610-09 at https://security.gentoo.org/glsa/201610-09
by GLSA coordinator Kristian Fiskerstrand (K_F).
Comment 9 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-19 01:14:39 UTC
*** Bug 589816 has been marked as a duplicate of this bug. ***
Comment 10 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-11-19 09:34:49 UTC
*** Bug 589816 has been marked as a duplicate of this bug. ***